[UNOFFICIAL BUILD] Unofficial Pie Build for Samsung Galaxy S7 (herolte)

Sure, there is also a v0.9.0-pie. Scroll a little down ; )

V1 is reserved for final version and could that the build will fail yet. I have build over night with v0.9.1-pie and everything fine

Everything works fine but… I’ve got an error :slight_smile:


build/make/core/Makefile:28: warning: overriding commands for target /home/laurent/e/out/target/product/herolte/system/lib/libcurl.so' build/make/core/base_rules.mk:412: warning: ignoring old commands for target /home/laurent/e/out/target/product/herolte/system/lib/libcurl.so’
21:37:16 ckati failed with: signal: killed

failed to build some targets (56 seconds)

Github seems to be down… So I will try again later…

Yes, French hub has trouble

Unfortunatly, after the github issue was fixed, I tried without a repo sync and it failed with the same error…

Better start with
repo sync --force-sync
could be that not all sources where downloaded because of github down time

If you running in error again, pls post complete output here https://del.dog/

Too bad…
I relaunch this moring with a full repo sync but same error.
Here is the output here : https://del.dog/grunihilec

No information about which target failed…

Have you run the commands from readme file in the download folder ??

For community, we are talking in private with @harvey186 in order to find out the issue with my build and, when it will be solved, I’ll post result.

AS @harvey186 said to me :

  • I use Ubuntu 20 which use python 3 by default and some build tools need python 2… I’m currently installing an older version
  • source of branch 0.9 are broken, so I wait until source are fixed

I’ll keep you inform :slight_smile:

I have created a new built. It’s available in the folder from fist post.

1 Like

NIce @Guenter, I’m still building a version… it’s really long to build…
But I’ll not give up !!

2 Likes

Sorry to say, but this build is totally unstable.
First I tried a dirty flash but have had random reboots every few seconds.
Then I tried a clean flash with the same problems.
For now I am back on the previous build.
Thanks anyway.

Have you run both patches from readme.me? I think.I have forgotten :pensive:

Oh sh…t, I think I have forgot 2 patches before building. Sorry :-1:

2 Likes

I hope Laurent has the patches included

Yes I have but the build is really long and, my VM on which I build was almost full when I left this morning… So I think the build will fail :cry:

Building on vm is a pain. To less ram. You will need more rhan.8gb ram and around 250 gb hdd space

Yes, I just want to valid building.
Then, I’ve got a server running openmediavault… I guess (and hope), I will be able to automatize builds…
That’s the plan

1 Like

Hi @philipp,
I made a build, I installed on my phone yesterday night and it seems to be working without issue (for the moment…)
Here is the build : https://ecloud.global/s/dMrkx9gwNpoiGQo
Of course, @Guenter, you can test it :wink:

1 Like

Hi @LaurentG, you have quickly learned to build a /e/ OS ROM. This is great! :clap:

At first sight it seems your version e-0.9-p-20200626 works as well as @harvey186’s debut e-0.9-p-20200530.

The security patch level is also identical to the 5th of May 2020. ROMs based on LineageOS 17.1 have already integrated the security patch level June 5, 2020.

It would be great if you would create an updated build at the beginning of the month after the official Android security patches are released.

Okay,
I have no idea how I can be sure about the security patch included in my build… @harvey186, any idea ?